<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_FlightTicketingRS StructType
 * @subpackage Structs
 */
class JP_FlightTicketingRS extends AbstractStructBase
{
    /**
     * The Warnings
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Warnings
     */
    public $Warnings;
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ErrorType
     */
    public $Errors;
    /**
     * The Reservations
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfArrayOfJP_FlightTicketInfo
     */
    public $Reservations;
    /**
     * Constructor method for JP_FlightTicketingRS
     * @uses JP_FlightTicketingRS::setWarnings()
     * @uses JP_FlightTicketingRS::setErrors()
     * @uses JP_FlightTicketingRS::setReservations()
     * @param \StructType\JP_Warnings $warnings
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @param \ArrayType\ArrayOfArrayOfJP_FlightTicketInfo $reservations
     */
    public function __construct(\StructType\JP_Warnings $warnings = null, \ArrayType\ArrayOfJP_ErrorType $errors = null, \ArrayType\ArrayOfArrayOfJP_FlightTicketInfo $reservations = null)
    {
        $this
            ->setWarnings($warnings)
            ->setErrors($errors)
            ->setReservations($reservations);
    }
    /**
     * Get Warnings value
     * @return \StructType\JP_Warnings|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \StructType\JP_Warnings $warnings
     * @return \StructType\JP_FlightTicketingRS
     */
    public function setWarnings(\StructType\JP_Warnings $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Get Errors value
     * @return \ArrayType\ArrayOfJP_ErrorType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @return \StructType\JP_FlightTicketingRS
     */
    public function setErrors(\ArrayType\ArrayOfJP_ErrorType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get Reservations value
     * @return \ArrayType\ArrayOfArrayOfJP_FlightTicketInfo|null
     */
    public function getReservations()
    {
        return $this->Reservations;
    }
    /**
     * Set Reservations value
     * @param \ArrayType\ArrayOfArrayOfJP_FlightTicketInfo $reservations
     * @return \StructType\JP_FlightTicketingRS
     */
    public function setReservations(\ArrayType\ArrayOfArrayOfJP_FlightTicketInfo $reservations = null)
    {
        $this->Reservations = $reservations;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_FlightTicketingRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
